io.agora.rtc

## Enum Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY

- java.lang.Object
- - java.lang.Enum<Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY>
  - - io.agora.rtc.Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY>
  Enclosing class:
    Constants

      public static enum Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY
      extends java.lang.Enum<Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY>

  The audio equalization band frequency.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AUDIO_EQUALIZATION_BAND_125` 2: 125 Hz.
    `AUDIO_EQUALIZATION_BAND_16K` 9: 16 KHz.
    `AUDIO_EQUALIZATION_BAND_1K` 5: 1 KHz.
    `AUDIO_EQUALIZATION_BAND_250` 3: 250 Hz.
    `AUDIO_EQUALIZATION_BAND_2K` 6: 2 KHz.
    `AUDIO_EQUALIZATION_BAND_31` 0: 31 Hz.
    `AUDIO_EQUALIZATION_BAND_4K` 7: 4 KHz.
    `AUDIO_EQUALIZATION_BAND_500` 4: 500 Hz.
    `AUDIO_EQUALIZATION_BAND_62` 1: 62 Hz.
    `AUDIO_EQUALIZATION_BAND_8K` 8: 8 KHz.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value` Integer value of the audio equalization band frequency

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY` | `fromInt(int v)` Converts an integer value to its corresponding enum constant.
    `int` | `getValue()` Gets the integer value.
    `static Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### AUDIO_EQUALIZATION_BAND_31

          public static final Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY AUDIO_EQUALIZATION_BAND_31

      0: 31 Hz.

    - #### AUDIO_EQUALIZATION_BAND_62

          public static final Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY AUDIO_EQUALIZATION_BAND_62

      1: 62 Hz.

    - #### AUDIO_EQUALIZATION_BAND_125

          public static final Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY AUDIO_EQUALIZATION_BAND_125

      2: 125 Hz.

    - #### AUDIO_EQUALIZATION_BAND_250

          public static final Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY AUDIO_EQUALIZATION_BAND_250

      3: 250 Hz.

    - #### AUDIO_EQUALIZATION_BAND_500

          public static final Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY AUDIO_EQUALIZATION_BAND_500

      4: 500 Hz.

    - #### AUDIO_EQUALIZATION_BAND_1K

          public static final Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY AUDIO_EQUALIZATION_BAND_1K

      5: 1 KHz.

    - #### AUDIO_EQUALIZATION_BAND_2K

          public static final Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY AUDIO_EQUALIZATION_BAND_2K

      6: 2 KHz.

    - #### AUDIO_EQUALIZATION_BAND_4K

          public static final Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY AUDIO_EQUALIZATION_BAND_4K

      7: 4 KHz.

    - #### AUDIO_EQUALIZATION_BAND_8K

          public static final Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY AUDIO_EQUALIZATION_BAND_8K

      8: 8 KHz.

    - #### AUDIO_EQUALIZATION_BAND_16K

          public static final Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY AUDIO_EQUALIZATION_BAND_16K

      9: 16 KHz.

  - ### Field Detail

    - #### value

          private int value

      Integer value of the audio equalization band frequency

  - ### Method Detail

    - #### values

          public static Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY c : Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Gets the integer value.
      Returns:
        The integer value

    - #### fromInt

          public static Constants.AUDIO_EQUALIZATION_BAND_FREQUENCY fromInt(int v)

      Converts an integer value to its corresponding enum constant.
      Parameters:
        `v` - The integer value
      Returns:
        The corresponding enum constant, or null if not found